<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">

<html lang="en">
<head>

<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">

<meta name="generator" content="PHPDoctor 2RC4 (http://peej.github.com/phpdoctor/)">
<meta name="when" content="Fri, 15 Apr 2011 16:43:06 +0000">

<link rel="stylesheet" type="text/css" href="../../stylesheet.css">
<link rel="start" href="../../overview-summary.html">

<title>DoctorTestCase (PHPDoctor)</title>

</head>
<body id="definition" onload="parent.document.title=document.title;">

<div class="header">
<h1>PHPDoctor</h1>
<ul>
<li><a href="../../overview-summary.html">Overview</a></li>
<li><a href="../../phpdoctor/tests/package-summary.html">Namespace</a></li>
<li class="active">Class</li>
<li><a href="../../phpdoctor/tests/package-tree.html">Tree</a></li>
<li><a href="../../overview-files.html">Files</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../todo-list.html">Todo</a></li>
<li><a href="../../index-all.html">Index</a></li>
</ul>
</div>

<div class="small_links">
<a href="../../index.html" target="_top">Frames</a>
<a href="../../phpdoctor/tests/doctortestcase.html" target="_top">No frames</a>
</div>
<div class="small_links">
Summary: <a href="#summary_field">Field</a> | <a href="#summary_method">Method</a> | <a href="#summary_constr">Constr</a>
Detail: <a href="#detail_field">Field</a> | <a href="#detail_method">Method</a> | <a href="#summary_constr">Constr</a>
</div>
<hr>

<div class="qualifiedName">PHPDoctor\Tests\DoctorTestCase</div>
<a href="../../source/tests/doctortestcase.php.html#line9" class="location">tests/doctorTestCase.php at line 9</a>

<h1>Class DoctorTestCase</h1>

<pre class="tree">UnitTestCase<br> └─<strong>DoctorTestCase</strong><br /></pre>

<hr>

<p class="signature">public  class <strong>DoctorTestCase</strong><br>extends UnitTestCase

</p>

<div class="comment" id="overview_description"><p>Base test class to run PHPDoctor and capture output</p></div>

<hr>

<table id="summary_field">
<tr><th colspan="2">Field Summary</th></tr>
<tr>
<td class="type"> mixed</td>
<td class="description"><p class="name"><a href="#appDir">$appDir</a></p></td>
</tr>
<tr>
<td class="type"> mixed</td>
<td class="description"><p class="name"><a href="#caseDir">$caseDir</a></p></td>
</tr>
<tr>
<td class="type"> mixed</td>
<td class="description"><p class="name"><a href="#iniDir">$iniDir</a></p></td>
</tr>
<tr>
<td class="type"> mixed</td>
<td class="description"><p class="name"><a href="#iniPath">$iniPath</a></p></td>
</tr>
<tr>
<td class="type"> mixed</td>
<td class="description"><p class="name"><a href="#outputDir">$outputDir</a></p></td>
</tr>
<tr>
<td class="type"> mixed</td>
<td class="description"><p class="name"><a href="#tempDir">$tempDir</a></p></td>
</tr>
<tr>
<td class="type"> mixed</td>
<td class="description"><p class="name"><a href="#testDir">$testDir</a></p></td>
</tr>
</table>

<table id="summary_method">
<tr><th colspan="2">Method Summary</th></tr>
<tr>
<td class="type"> void</td>
<td class="description"><p class="name"><a href="#__construct()">__construct</a>(bool label)</p></td>
</tr>
<tr>
<td class="type"> bool</td>
<td class="description"><p class="name"><a href="#assertStringContains()">assertStringContains</a>(string expected, string string, bool ignoreInsigificantWhitespace)</p><p class="description">Reports an error if the $string does not contain $expected.
</p></td>
</tr>
<tr>
<td class="type"> bool</td>
<td class="description"><p class="name"><a href="#assertStringContainsRx()">assertStringContainsRx</a>(mixed expectedRx, string string, string expected)</p><p class="description">Reports an error if the $string does not contain $expected. </p></td>
</tr>
<tr>
<td class="type"> bool</td>
<td class="description"><p class="name"><a href="#assertStringDoesNotContain()">assertStringDoesNotContain</a>(string expected, string string, bool ignoreInsigificantWhitespace)</p><p class="description">Reports an error if the $string contains $expected. </p></td>
</tr>
<tr>
<td class="type"> bool</td>
<td class="description"><p class="name"><a href="#assertStringDoesNotContainRx()">assertStringDoesNotContainRx</a>(mixed expectedRx, string string, string expected)</p><p class="description">Reports an error if the $string contains $expected. </p></td>
</tr>
<tr>
<td class="type"> void</td>
<td class="description"><p class="name"><a href="#clearOutputDir()">clearOutputDir</a>()</p></td>
</tr>
<tr>
<td class="type"> void</td>
<td class="description"><p class="name"><a href="#clearTempDir()">clearTempDir</a>()</p></td>
</tr>
<tr>
<td class="type"> bool</td>
<td class="description"><p class="name"><a href="#inStr()">inStr</a>(string haystack, string needle, bool ignoreInsigificantWhitespace)</p><p class="description">Returns if $haystack contains $needle. </p></td>
</tr>
<tr>
<td class="type"> bool</td>
<td class="description"><p class="name"><a href="#inStrRx()">inStrRx</a>(string haystack, string needle)</p><p class="description">Returns if $haystack contains $needle. </p></td>
</tr>
<tr>
<td class="type"> void</td>
<td class="description"><p class="name"><a href="#readOutputFile()">readOutputFile</a>(mixed filename)</p></td>
</tr>
<tr>
<td class="type"> void</td>
<td class="description"><p class="name"><a href="#removeDir()">removeDir</a>(mixed dir)</p></td>
</tr>
<tr>
<td class="type"> string</td>
<td class="description"><p class="name"><a href="#runPhpDoctor()">runPhpDoctor</a>()</p><p class="description">Command line invocation to run PHPDoctor, independent of OS and include dir settings.
</p></td>
</tr>
<tr>
<td class="type"> void</td>
<td class="description"><p class="name"><a href="#setIniFile()">setIniFile</a>(mixed iniFileName)</p></td>
</tr>
</table>

<h2 id="detail_field">Field Detail</h2>
<a href="../../source/tests/doctortestcase.php.html#line11" class="location">tests/doctorTestCase.php at line 11</a>

<h3 id="appDir">appDir</h3>
<code class="signature">public  mixed <strong>$appDir</strong></code>
<div class="details">
</div>

<hr>

<a href="../../source/tests/doctortestcase.php.html#line11" class="location">tests/doctorTestCase.php at line 11</a>

<h3 id="caseDir">caseDir</h3>
<code class="signature">public  mixed <strong>$caseDir</strong></code>
<div class="details">
</div>

<hr>

<a href="../../source/tests/doctortestcase.php.html#line11" class="location">tests/doctorTestCase.php at line 11</a>

<h3 id="iniDir">iniDir</h3>
<code class="signature">public  mixed <strong>$iniDir</strong></code>
<div class="details">
</div>

<hr>

<a href="../../source/tests/doctortestcase.php.html#line11" class="location">tests/doctorTestCase.php at line 11</a>

<h3 id="iniPath">iniPath</h3>
<code class="signature">public  mixed <strong>$iniPath</strong></code>
<div class="details">
</div>

<hr>

<a href="../../source/tests/doctortestcase.php.html#line11" class="location">tests/doctorTestCase.php at line 11</a>

<h3 id="outputDir">outputDir</h3>
<code class="signature">public  mixed <strong>$outputDir</strong></code>
<div class="details">
</div>

<hr>

<a href="../../source/tests/doctortestcase.php.html#line11" class="location">tests/doctorTestCase.php at line 11</a>

<h3 id="tempDir">tempDir</h3>
<code class="signature">public  mixed <strong>$tempDir</strong></code>
<div class="details">
</div>

<hr>

<a href="../../source/tests/doctortestcase.php.html#line11" class="location">tests/doctorTestCase.php at line 11</a>

<h3 id="testDir">testDir</h3>
<code class="signature">public  mixed <strong>$testDir</strong></code>
<div class="details">
</div>

<hr>

<h2 id="detail_method">Method Detail</h2>
<a href="../../source/tests/doctortestcase.php.html#line13" class="location">tests/doctorTestCase.php at line 13</a>

<h3 id="__construct()">__construct</h3>
<code class="signature">public  void <strong>__construct</strong>(bool label)</code>
<div class="details">
</div>

<hr>

<a href="../../source/tests/doctortestcase.php.html#line64" class="location">tests/doctorTestCase.php at line 64</a>

<h3 id="assertStringContains()">assertStringContains</h3>
<code class="signature">public  bool <strong>assertStringContains</strong>(string expected, string string, bool ignoreInsigificantWhitespace)</code>
<div class="details">
<p>Reports an error if the $string does not contain $expected.</p><p>Can be set to ignore insignificant whitespace in HTML output. Any whitespace in $expected is then
allowed to be expanded in $string.</p><p>If you want to capture whitespace in $string which may also be completely absent, use a pipe in
$expected (e.g. '<td>|<tr>A cell</tr>|</td>'). If $expected happens to contain a literal pipe,
escape it with another pipe ('||').</p><dl>
<dt>Parameters:</dt>
<dd>expected - the needle</dd>
<dd>string - the haystack</dd>
<dd>ignoreInsigificantWhitespace - allows for additional space, tab and newline chars</dd>
</dl>
</div>

<hr>

<a href="../../source/tests/doctortestcase.php.html#line136" class="location">tests/doctorTestCase.php at line 136</a>

<h3 id="assertStringContainsRx()">assertStringContainsRx</h3>
<code class="signature">public  bool <strong>assertStringContainsRx</strong>(mixed expectedRx, string string, string expected)</code>
<div class="details">
<p>Reports an error if the $string does not contain $expected. $expected is a regular expression including
delimiters and any modifiers.</p><dl>
<dt>Parameters:</dt>
<dd>expected - the needle, as a regular expression</dd>
<dd>string - the haystack</dd>
</dl>
</div>

<hr>

<a href="../../source/tests/doctortestcase.php.html#line80" class="location">tests/doctorTestCase.php at line 80</a>

<h3 id="assertStringDoesNotContain()">assertStringDoesNotContain</h3>
<code class="signature">public  bool <strong>assertStringDoesNotContain</strong>(string expected, string string, bool ignoreInsigificantWhitespace)</code>
<div class="details">
<p>Reports an error if the $string contains $expected. Inverse of assertStringContains().</p><dl>
<dt>Parameters:</dt>
<dd>expected - the needle</dd>
<dd>string - the haystack</dd>
<dd>ignoreInsigificantWhitespace - allows for additional space, tab and newline chars</dd>
</dl>
</div>

<hr>

<a href="../../source/tests/doctortestcase.php.html#line151" class="location">tests/doctorTestCase.php at line 151</a>

<h3 id="assertStringDoesNotContainRx()">assertStringDoesNotContainRx</h3>
<code class="signature">public  bool <strong>assertStringDoesNotContainRx</strong>(mixed expectedRx, string string, string expected)</code>
<div class="details">
<p>Reports an error if the $string contains $expected. Inverse of assertStringContainsRx().</p><dl>
<dt>Parameters:</dt>
<dd>expected - the needle, as a regular expression</dd>
<dd>string - the haystack</dd>
</dl>
</div>

<hr>

<a href="../../source/tests/doctortestcase.php.html#line177" class="location">tests/doctorTestCase.php at line 177</a>

<h3 id="clearOutputDir()">clearOutputDir</h3>
<code class="signature">public  void <strong>clearOutputDir</strong>()</code>
<div class="details">
</div>

<hr>

<a href="../../source/tests/doctortestcase.php.html#line173" class="location">tests/doctorTestCase.php at line 173</a>

<h3 id="clearTempDir()">clearTempDir</h3>
<code class="signature">public  void <strong>clearTempDir</strong>()</code>
<div class="details">
</div>

<hr>

<a href="../../source/tests/doctortestcase.php.html#line106" class="location">tests/doctorTestCase.php at line 106</a>

<h3 id="inStr()">inStr</h3>
<code class="signature">public  bool <strong>inStr</strong>(string haystack, string needle, bool ignoreInsigificantWhitespace)</code>
<div class="details">
<p>Returns if $haystack contains $needle.</p><p>Can be set to ignore insignificant whitespace in HTML output. Any whitespace in $expected is then
allowed to be expanded in $string.</p><p>If you want to capture whitespace in $string which may also be completely absent, use a pipe in
$expected (e.g. '<td>|<tr>A cell</tr>|</td>'). If $expected happens to contain a literal pipe,
escape it with another pipe ('||').</p><p>(Quick and dirty solution for pipe escaping. Will get off track if the needle contains a chr(1) -
which is rather unlikely.)</p><dl>
<dt>Parameters:</dt>
<dd>haystack - the haystack</dd>
<dd>needle - the needle (oh, really?!)</dd>
<dd>ignoreInsigificantWhitespace - allows for additional space, tab and newline chars</dd>
</dl>
</div>

<hr>

<a href="../../source/tests/doctortestcase.php.html#line166" class="location">tests/doctorTestCase.php at line 166</a>

<h3 id="inStrRx()">inStrRx</h3>
<code class="signature">public  bool <strong>inStrRx</strong>(string haystack, string needle)</code>
<div class="details">
<p>Returns if $haystack contains $needle. $needle is a regular expression including delimiters and modifiers.</p><dl>
<dt>Parameters:</dt>
<dd>haystack - the haystack</dd>
<dd>needle - the needle, as a regular expression.</dd>
</dl>
</div>

<hr>

<a href="../../source/tests/doctortestcase.php.html#line44" class="location">tests/doctorTestCase.php at line 44</a>

<h3 id="readOutputFile()">readOutputFile</h3>
<code class="signature">public  void <strong>readOutputFile</strong>(mixed filename)</code>
<div class="details">
</div>

<hr>

<a href="../../source/tests/doctortestcase.php.html#line181" class="location">tests/doctorTestCase.php at line 181</a>

<h3 id="removeDir()">removeDir</h3>
<code class="signature">public  void <strong>removeDir</strong>(mixed dir)</code>
<div class="details">
</div>

<hr>

<a href="../../source/tests/doctortestcase.php.html#line34" class="location">tests/doctorTestCase.php at line 34</a>

<h3 id="runPhpDoctor()">runPhpDoctor</h3>
<code class="signature">public  string <strong>runPhpDoctor</strong>()</code>
<div class="details">
<p>Command line invocation to run PHPDoctor, independent of OS and include dir settings.
Call setIniFile first.</p><dl>
<dt>Returns:</dt>
<dd>PHPDoctor messages</dd>
</dl>
</div>

<hr>

<a href="../../source/tests/doctortestcase.php.html#line24" class="location">tests/doctorTestCase.php at line 24</a>

<h3 id="setIniFile()">setIniFile</h3>
<code class="signature">public  void <strong>setIniFile</strong>(mixed iniFileName)</code>
<div class="details">
</div>

<hr>

<div class="header">
<h1>PHPDoctor</h1>
<ul>
<li><a href="../../overview-summary.html">Overview</a></li>
<li><a href="../../phpdoctor/tests/package-summary.html">Namespace</a></li>
<li class="active">Class</li>
<li><a href="../../phpdoctor/tests/package-tree.html">Tree</a></li>
<li><a href="../../overview-files.html">Files</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../todo-list.html">Todo</a></li>
<li><a href="../../index-all.html">Index</a></li>
</ul>
</div>

<div class="small_links">
<a href="../../index.html" target="_top">Frames</a>
<a href="../../phpdoctor/tests/doctortestcase.html" target="_top">No frames</a>
</div>
<div class="small_links">
Summary: <a href="#summary_field">Field</a> | <a href="#summary_method">Method</a> | <a href="#summary_constr">Constr</a>
Detail: <a href="#detail_field">Field</a> | <a href="#detail_method">Method</a> | <a href="#summary_constr">Constr</a>
</div>
<hr>

<p id="footer">This document was generated by <a href="http://peej.github.com/phpdoctor/">PHPDoctor: The PHP Documentation Creator</a></p>

</body>

</html>